Description

Sorry for the not exactly technical summary, but I don't know how else to describe the problem. The Puppet Runtime charts in our

Foreman 1.0RC3 installation look very weird after a few days/weeks of incoming reports. Please see these screenshots for

illustration:

https://daff.ptmx.org/misc/puppet-runtime-chart.png

https://daff.ptmx.org/misc/puppet-runtime-chart2.png

I can provide more screenshots if needed. Any other info I can provide?

Associated revisions

Revision 84d8bcb2 - 07/22/2012 05:53 AM - Amos Benari

fixes #1738 Puppet Runtime charts look very messed up.

History

#1 - 07/18/2012 03:54 AM - Ohad Levy

any chance your clock was not synced correctly?

#2 - 07/18/2012 05:41 AM - Andreas Ntaflos

Sorry, no. Our clocks are all in sync and monitored by Nagios. It seems the charts start getting messed up only after a few days (two or three) of

operation. Here is a screenshot of a host I provisioned this Monday (2012-07-16): https://daff.ptmx.org/misc/foreman3.png

#3 - 07/20/2012 03:26 AM - Romain Vrignaud

I confirm that I have exactly the same behaviour.

I have also NTP on production.

#4 - 07/20/2012 03:33 AM - Romain Vrignaud

- File json.log added

See JSON attached for example

#5 - 07/22/2012 02:02 AM - Ohad Levy

- Assignee set to Amos Benari

#6 - 07/22/2012 05:51 AM - Ohad Levy

- Target version set to 1.0

#7 - 07/22/2012 06:20 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset 84d8bcb2230b2871b7c03fadfa4ca907db9228fc.

Files

json.log 37.5 KB 07/20/2012 Romain Vrignaud
